%define gtk2_version 2.2.0
%define po_package gtksourceview-1.0

Summary: A library for viewing source files
Name: gtksourceview
Version: 1.6.0
Release: 1 
License: LGPL
Group: System Environment/Libraries
URL: http://gtksourceview.sourceforge.net/ 
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-vfs2-devel
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: gtk2-devel
BuildRequires: libgnomeprint22-devel >= 2.7.1
BuildRequires: libgnomeprintui22-devel >= 2.7.1
BuildRequires: gettext 

%description
A library for viewing source code files with.


%package devel
Summary: Files to compile applications that use gtksourceview
Group: Development/Libraries
Requires: %name = %{version}
Requires: gtk2-devel >= %{gtk2_version}, libxml2-devel, libgnomeprint22-devel

%description devel
gtksourceview-devel contains the files required to compile applications against the gtksourceview libraries.

%prep
%setup -q

%build

%configure 

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove unwanted packages
rm -f $RPM_BUILD_ROOT%{_libdir}/*{.a,.la}

%find_lang %{po_package}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_datadir}/gtksourceview-1.0
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtksourceview-1.0
%{_datadir}/gtk-doc/html/gtksourceview
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Sun Mar 12 2006 Ray Strode <rstrode@redhat.com> - 1.6.0-1
- update to 1.6.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.5.7-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.5.7-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Matthias Clasen <mclasen@redhat.com>
- Update URL

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 1.5.7

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 1.5.6

* Tue Jan 05 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 1.5.4

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 1.5.3

* Wed Dec 14 2005 Matthias Clsaen <mclasen@redhat.com>
- Update to 1.5.2
- Remove upstreamed patch
 
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Dec  6 2005 Dan Williams <dcbw@redhat.com> - 1.5.1-2
- Fix off-by-one when searching for language specification files
    which breaks syntax hilighting.  Already fixed upstream.

* Thu Dec  1 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 1.4.2-1
- Update to 1.4.2

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 1.3.91-2
- rebuild for new cairo

* Tue Aug 08 2005 Ray Strode <rstrode@redhat.com> - 1.3.91-1
- Update to upstream version 1.3.91

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 1.2.1-1
- Update to upstream version 1.2.1

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 1.2.0-1
- Update to upstream version 1.2.0

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 1.1.92-1
- Update to 1.1.92

* Sun Jan 30 2005 Matthias Clasen <mclasen@redhat.com> - 1.1.91-1
- Update to 1.1.91

* Mon Sep 20 2004 Matthias Clasen <mclasen@redhat.com> - 1.1.0-3
- Fix problem with backspace to delete partial characters

* Mon Aug 16 2004 Owen Taylor <otaylor@redhat.com> - 1.1.0-2
- Fix problem with extra blank lines when printing

* Tue Aug  3 2004 Owen Taylor <otaylor@redhat.com> - 1.1.0-1
- Update to 1.1.0
- Remove re-auto-ification which should no longer be necessary

* Sat Jul 31 2004 Dan Williams <dcbw@redhat.com>
- Update to 1.0.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 1.0.0-2
- BR gnome-vfs2-devel libxml2-devel intltool gtk-doc gtk2-devel libgnomeprint22-devel 
  libgnomeprintui22-devel gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1.0.0-1
- update to 1.0.0

* Wed Mar 24 2004 Jens Petersen <petersen@redhat.com> - 0.9.2-2
- make -devel require libxml2-devel and libgnomeprint22-devel

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 0.9.2-1
- update to 0.9.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.9.1-1
- update to 0.9.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.8.0-1
- update to 0.8.0

* Tue Aug 26 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Mon Aug 25 2003 Jonathan Blandford <jrb@redhat.com>
- try removing the libtool line

* Fri Aug 22 2003 Jonathan Blandford <jrb@redhat.com>
- Libtool fix

* Fri Aug 15 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


